Post by Bioblaze » Sat Mar 31, 2012 4:03 pm

Fatal error: Call to undefined function imagecreatefromjpeg() in /usr/home/God/public_html/store/system/library/image.php on line 34

Ive been away from Opencart for the Last Few months, so Ive been unable to keep up to date on the system. I just decided today to start a free install, and when i was done installing this was the first problem I found.

It completely stops the from Main Page from loading, no idea why.

This also happens when I press the Edit button in the system Menu for Editing the system Settings.

Anyone got a Fix for this? I would very much be happy to hear it. of Course.
Last edited by Bioblaze on Sun Apr 01, 2012 7:11 am, edited 1 time in total.

When men become mice then are mice just as good as men?


Newbie

Posts

Joined
Sun Jan 02, 2011 8:10 am
Location - Fresno, California

Post by rph » Sat Mar 31, 2012 5:40 pm

Make sure you have GD installed.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by Bioblaze » Sun Apr 01, 2012 7:08 am

It isnt just about having GD install the --all-gd Flag for configuring php doesnt include libjpeg as well as libpng You have to add the Actual Flags --with-jpeg-dir=/usr --with-jpeg-dir=/usr

Which doesnt include itself in the All GD flag when you normally run the configuration of Php

Alot of people who dont know this on OpenCart will end up having this problem. It isnt about GD installed, its wither or not you have the correct flags set in the configuration that will make ti work.

When men become mice then are mice just as good as men?


Newbie

Posts

Joined
Sun Jan 02, 2011 8:10 am
Location - Fresno, California

Post by Bioblaze » Sun Apr 01, 2012 7:10 am

GD Support enabled
GD Version bundled (2.0.34 compatible)
GIF Read Support enabled
GIF Create Support enabled
JPEG Support enabled
libJPEG Version 8
PNG Support enabled
libPNG Version 1.4.5
WBMP Support enabled
XBM Support enabled

Once you run it with the correct flags, this is what you`ll get in your phpinfo.

As you notice, libJPEG and libPNG. Very important to have.

If anyone needs help on this topic ive spent 6 hours reading up and doing recompiles correctly. I can give someone a helping hand.

When men become mice then are mice just as good as men?


Newbie

Posts

Joined
Sun Jan 02, 2011 8:10 am
Location - Fresno, California

Post by rph » Sun Apr 01, 2012 3:34 pm

Bioblaze wrote:It isnt just about having GD install the --all-gd Flag for configuring php doesnt include libjpeg as well as libpng You have to add the Actual Flags --with-jpeg-dir=/usr --with-jpeg-dir=/usr

Which doesnt include itself in the All GD flag when you normally run the configuration of Php

Alot of people who dont know this on OpenCart will end up having this problem. It isnt about GD installed, its wither or not you have the correct flags set in the configuration that will make ti work.
Come on, a few hours ago you couldn't even figure out GD was the issue. ::)

Most people who use OpenCart won't be setting up their own hosting environments and those that do really should be expected to follow installation instructions.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by anitawos » Sun Jun 24, 2012 6:41 pm

I just upgraded PHP from 5.2 to 5.3 Then tried to upgrade opencart from 1.5.2.1 to 1.5.3.1

Now I have a useless site, and
Fatal error: Call to undefined function imagecreatefromjpeg() in /home/aorowing/public_html/system/library/image.php on line 34

User avatar
New member

Posts

Joined
Fri Jan 28, 2011 7:33 pm
Location - Massachusetts, USA

Post by rph » Mon Jun 25, 2012 5:13 am

It's the same issue. GD isn't installed or isn't installed correctly. Run phpinfo and check the GD settings.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by hyp88 » Thu Sep 24, 2015 11:29 pm

Hi,

I have the same problem. After I installed an configured opencart, I removed the install dir. When I hit home page now I get this error:

Notice: Error: Could not make a database link ( could not find driver). Error Code : 0
in /app/apache_2.4/httpd-2.4.16/htdocs/system/library/db/mpdo.php on line 11

I did the phpinfo.php test. This is my GD info:

GD Support enabled
GD Version bundled (2.1.0 compatible)
GIF Read Support enabled
GIF Create Support enabled
PNG Support enabled
libPNG Version 1.2.49
WBMP Support enabled
XBM Support enabled

Directive Local Value Master Value
gd.jpeg_ignore_warning 0 0

This is very strange, before configuration it says the prerequisites are met, but in fact it doesn't work.
I'm running on Debian 7 with php 5.4.45, apache 2.4.16, opencart 2.0.20

Newbie

Posts

Joined
Thu Sep 24, 2015 11:23 pm

Post by shehan9 » Mon Oct 12, 2015 11:06 pm

You must install GD with libJPEG and libPNG.
I Hope this will save someone's time http://www.tectut.com/2015/10/solved-ca ... tefromjpeg

http://www.tectut.com


Newbie

Posts

Joined
Mon Oct 12, 2015 11:00 pm

Who is online

Users browsing this forum: Alexa [Bot] and 23 guests